summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--debian/tests/control2
-rwxr-xr-xtests/tests/package-build14
2 files changed, 15 insertions, 1 deletions
diff --git a/debian/tests/control b/debian/tests/control
index bdcfa98..4a1ccc2 100644
--- a/debian/tests/control
+++ b/debian/tests/control
@@ -55,7 +55,7 @@ Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime, sbuild, man-db
Restrictions: x-dgit-schroot-build
-Tests: spelling
+Tests: package-build spelling
Tests-Directory: tests/tests
Depends: dgit, dgit-infrastructure, devscripts, debhelper (>=8), fakeroot, build-essential, chiark-utils-bin, bc, faketime
Restrictions: x-dgit-git-only
diff --git a/tests/tests/package-build b/tests/tests/package-build
new file mode 100755
index 0000000..0b87823
--- /dev/null
+++ b/tests/tests/package-build
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-restrict x-dgit-git-only
+
+mkdir $tmp/dgit
+cd $root
+git ls-files -z |xargs -0 cp --parents -t $tmp/dgit
+cd $tmp/dgit
+
+dpkg-buildpackage -nc -uc -b
+
+echo ok.